View Issue Details

IDProjectCategoryView StatusLast Update
0003509PluginsColorerpublic2018-11-15 12:37
ReporterlkintactAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0003509: FarColorer: Plugin.Call("0E92FC81-4888-4297-A85D-31C79E0E0CEE","status") всегда возвращает false
DescriptionПытаюсь воспользоваться функционалом, описанным в history.ru.txt: "Plugin.Call("0E92FC81-4888-4297-A85D-31C79E0E0CEE","status"). Возвращаемое значение: true - плагин включен, false - выключен".

1. Для теста создаю макрос
Macro {  
    area="Editor"; 
    key="CtrlShiftQ"; 
    action = function()
      print(Plugin.Call("0E92FC81-4888-4297-A85D-31C79E0E0CEE","status"));
    end;
}


3. Открываю в редакторе файл, FarColorer включен. Нажимаю Ctrl-Shift-Q, на экран почему-то выдаётся "false".

4. F11 -> FarColorer -> Настройка, Снимаю флажок с "Включить". Судя по визуальным изменениям FarColorer выключается. Снова нажимаю Ctrl-Shift-Q, на этот раз тоже (но ожидаемо) отображается "false".


FAR 3.0 build 5047 x86,
FarColorer 1.2.9 (build 1)

TagsNo tags attached.

Relationships

child of 0003395 new Wishes.Plugins FarColorer. Функции определения статуса, включения, выключения. 

Activities

2useven10

2017-09-29 14:51

developer   bugnote:0015630

Может GUID не тот?
У меня по бд конфига - D2F36B62-A470-418D-83A3-ED7A3710E5B5
Недавно JohnDoe где-то писал, что в доках колорера указан неверный гуид.

2useven10

2017-09-29 14:57

developer   bugnote:0015631

0003395

lkintact

2017-09-29 17:26

reporter   bugnote:0015632

Действительно, GUID не тот, что указан в history.ru.txt, а D2F36B62-A470-418D-83A3-ED7A3710E5B5. Спасибо :)

JohnDoe

2018-11-14 12:36

updater   bugnote:0016309

Закрыть надо

JohnDoe

2018-11-14 14:43

updater   bugnote:0016310

Last edited: 2018-11-14 14:45

View 2 revisions

А нет, в справке-то надо исправить...
Впрочем, в 0003395 уже есть пуллреквест, так что этот тикет наверно уже не нужен.

Issue History

Date Modified Username Field Change
2017-09-29 07:51 lkintact New Issue
2017-09-29 14:51 2useven10 Note Added: 0015630
2017-09-29 14:57 2useven10 Note Added: 0015631
2017-09-29 17:26 lkintact Note Added: 0015632
2017-09-29 18:40 2useven10 Relationship added related to 0003395
2018-11-14 12:36 JohnDoe Status new => resolved
2018-11-14 12:36 JohnDoe Note Added: 0016309
2018-11-14 14:43 JohnDoe Status resolved => assigned
2018-11-14 14:43 JohnDoe Note Added: 0016310
2018-11-14 14:45 JohnDoe Note Edited: 0016310 View Revisions
2018-11-15 12:33 JohnDoe Status assigned => closed
2018-11-15 12:33 JohnDoe Resolution open => fixed
2018-11-15 12:36 JohnDoe Relationship replaced child of 0003395
2018-11-15 12:37 JohnDoe Resolution fixed => no change required